+++
+++

## what this affects

whenever you embed a Follow, Block, Like, or some other activity where the original id isn't easily on hand, you can embed it as the `object` without an id. in such a case, the shape of the activity becomes semantically significant.

for example, say you want to remove a follower. you typically do this with Reject Follow. but what do you do if you never stored the original Follow id? you embed it like so

```yaml
id: <some-activity>
actor: <you>
type: Reject
object:
  - type: Follow  # this has no id
    object: <someone>
```

now ideally you probably *should* be storing the ids for everything... but eh, what can ya do.

<https://github.com/w3c/activitypub/issues/384>